aboutsummaryrefslogtreecommitdiff
path: root/test-suite/misc
diff options
context:
space:
mode:
Diffstat (limited to 'test-suite/misc')
-rwxr-xr-xtest-suite/misc/printers.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/test-suite/misc/printers.sh b/test-suite/misc/printers.sh
index ef3f056d89..f659fce680 100755
--- a/test-suite/misc/printers.sh
+++ b/test-suite/misc/printers.sh
@@ -1,2 +1,8 @@
#!/bin/sh
-if printf "Drop. #use\"include\";; #quit;;\n" | $coqtopbyte 2>&1 | grep -E "Error|Unbound" ; then exit 1; else exit 0; fi
+
+command -v "${BIN}coqtop.byte" || { echo "Missing coqtop.byte"; exit 1; }
+
+f=$(mktemp)
+printf 'Drop. #use"include";; #quit;;\n' | "${BIN}coqtop.byte" -q 2>&1 | tee "$f"
+
+if grep -q -E "Error|Unbound" "$f"; then exit 1; fi